package com.jiuqi.mde;

import com.jiuqi.util.RecIndex;

public final class MDEAdditionalIndex extends RecIndex
{
    private MDEFieldSet keyFields;
    
    public MDEAdditionalIndex() {
        this.keyFields = new MDEFieldSet();
    }
    
    public void setField(final MDEField field) {
        this.keyFields.add(field);
        this.keyFields.complete();
    }
    
    public void setFields(final MDEField[] fields) {
        for (int i = 0; i < fields.length; ++i) {
            this.keyFields.add(fields[i]);
        }
        this.keyFields.complete();
    }
    
    public MDEFieldSet getKeyFields() {
        return this.keyFields;
    }
    
    public boolean keyFieldsMatch(final MDEField field) {
        return this.keyFields.size() == 1 && this.keyFields.get(0) == field;
    }
    
    public boolean keyFieldsMatch(final MDEField[] fields) {
        if (this.keyFields.size() == fields.length) {
            for (int i = 0; i < fields.length; ++i) {
                if (this.keyFields.get(i) != fields[i]) {
                    return false;
                }
            }
            return true;
        }
        return false;
    }
}
